
Infrastructure - Bug #7352

CN.updateSystemMetadata should return InvalidRequest if modifying system metadata more than

once

2015-09-15 15:27 - Andrei Buium

Status: Closed Start date: 2015-09-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Calling CN.updateSystemMetadata() with seriesId field once, and then again with a different seriesId returns an

InvalidSystemMetadata exception. It should be an InvalidRequest exception.

Note: This is happening on cn-dev-ucsb-1, but not on mn-demo-8

History

#1 - 2015-09-15 15:41 - Jing Tao

- Target version set to CCI-2.0.0

#2 - 2015-09-16 21:01 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

Andrei tested it and it worked for him.
